POST/hotelmaprequest

Create Hotel Map Request

This method enables users to add a new hotel to the RatesAPI database if it is not already listed. Users can provide details such as the hotel name, address, geographic coordinates, and optionally include reference URLs or preferred website codes to assist with mapping. A unique requestid is automatically generated for each mapping request.

If the url field is provided, the hotelname field is required, while the address, city, state, country, and zip fields are optional.
POST/hotelmaprequest

Mandatory Fields

  • hotelname
  • address
  • city
  • state
  • country
  • zip

Parameter Details

NameInTypeRequiredDescription
bodybodyRequirednone

Responses

StatusMeaningDescriptionSchema
200OKSuccess
400Bad RequestBad RequestNone
401UnauthorizedAuthentication Failed or Account validity expiredNone
500Internal Server ErrorInternal server errorNone

Example Request

# You can also use wget
curl -X POST /hotelmaprequest \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "hotelname": "",
  "address": "",
  "city": "",
  "state": "",
  "country": "",
  "zip": "",
  "latitude": 0,
  "longitude": 0,
  "url": ["string"],
  "websitecodes": [0]
}

Example responses

200 Response
{
  "requestid": 0,
  "referencehotelcodes": [0],
  "statuscode": 0,
  "statusmsg": "string",
  "approximatetime": "2019-08-24"
}

Example 1

{
  "hotelname": "Hilton Lake Las Vegas Resort",
  "address": "1610 Lake Las Vegas Pkwy",
  "city": "Henderson",
  "state": "NV",
  "country": "United States",
  "zip": "89011",
  "latitude": 36.1022356,
  "longitude": -115.0141588,
  "url": [
    "https://www.hilton.com/en/hotels/laslkhf-hilton-lake-las-vegas-resort-and-spa/"
  ],
  "websitecodes": [
    83
  ]
}

Example 2

{
  "hotelname": "Hilton Lake Las Vegas Resort",
  "address": "1610 Lake Las Vegas Pkwy",
  "city": "Henderson",
  "state": "NV",
  "country": "United States",
  "zip": "89011"
}

Example 3

{
  "hotelname": "Hilton Lake Las Vegas Resort",
  "url": [
    "https://www.hilton.com/en/hotels/laslkhf-hilton-lake-las-vegas-resort-and-spa/"
  ]
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.